org.apache.ignite.internal.visor.tx

## Class VisorTxTaskArg

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.tx.VisorTxTaskArg

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorTxTaskArg
    extends VisorDataTransferObject

Argument for `VisorTxTask`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3, V4`

### Constructor Summary

Constructors
Constructor and Description
`VisorTxTaskArg()` Default constructor.
`VisorTxTaskArg(VisorTxOperation op, @Nullable Integer limit, @Nullable Long minDuration, @Nullable Integer minSize, @Nullable TransactionState state, @Nullable VisorTxProjection proj, @Nullable List<String> consistentIds, @Nullable String xid, @Nullable String lbRegex, @Nullable VisorTxSortOrder sortOrder, @Nullable TxVerboseId txInfoArg)`

### Method Summary

All Methods Instance Methods Concrete Methods
`@Nullable List<String>` `getConsistentIds()`
`@Nullable String` `getLabelRegex()`
`@Nullable Integer` `getLimit()`
`@Nullable Long` `getMinDuration()`
`@Nullable Integer` `getMinSize()`
`VisorTxOperation` `getOperation()`
`VisorTxProjection` `getProjection()`
`byte` `getProtocolVersion()`
`@Nullable VisorTxSortOrder` `getSortOrder()`
`@Nullable TransactionState` `getState()`
`@Nullable String` `getXid()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`@Nullable TxVerboseId` `txInfoArgument()`
`void` `txInfoArgument(@Nullable TxVerboseId txInfoArg)`
`boolean` `verboseMode()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorTxTaskArg

    public VisorTxTaskArg()

Default constructor.

#### VisorTxTaskArg

    public VisorTxTaskArg(VisorTxOperation op,
                          @Nullable
                          @Nullable Integer limit,
                          @Nullable
                          @Nullable Long minDuration,
                          @Nullable
                          @Nullable Integer minSize,
                          @Nullable
                          @Nullable TransactionState state,
                          @Nullable
                          @Nullable VisorTxProjection proj,
                          @Nullable
                          @Nullable List<String> consistentIds,
                          @Nullable
                          @Nullable String xid,
                          @Nullable
                          @Nullable String lbRegex,
                          @Nullable
                          @Nullable VisorTxSortOrder sortOrder,
                          @Nullable
                          @Nullable TxVerboseId txInfoArg)

Parameters:
  `limit` - Limit to collect.
  `minDuration` - Min duration.
  `minSize` - Min size.
  `state` - State.
  `proj` - Projection.
  `consistentIds` - Consistent ids for NODES projection.
  `xid` - Xid.
  `lbRegex` - Label regex.
  `sortOrder` - Sort order.
  `txInfoArg` - TX info arg.

### Method Detail

#### getOperation

    public VisorTxOperation getOperation()

#### getLimit

    @Nullable
    public @Nullable Integer getLimit()

#### getMinDuration

    @Nullable
    public @Nullable Long getMinDuration()

#### getMinSize

    @Nullable
    public @Nullable Integer getMinSize()

#### getState

    @Nullable
    public @Nullable TransactionState getState()

#### getProjection

    public VisorTxProjection getProjection()

#### getConsistentIds

    @Nullable
    public @Nullable List<String> getConsistentIds()

#### getLabelRegex

    @Nullable
    public @Nullable String getLabelRegex()

#### getXid

    @Nullable
    public @Nullable String getXid()

#### getSortOrder

    @Nullable
    public @Nullable VisorTxSortOrder getSortOrder()

#### txInfoArgument

    @Nullable
    public @Nullable TxVerboseId txInfoArgument()

Returns:
  Near XID version of transaction to display in verbose mode.

#### verboseMode

    public boolean verboseMode()

Returns:
  `true` if `VisorTxTask` is being used in verbose --tx --info mode.

#### txInfoArgument

    public void txInfoArgument(@Nullable
                               @Nullable TxVerboseId txInfoArg)

Parameters:
  `txInfoArg` - New near XID version of transaction to display in verbose mode.

#### getProtocolVersion

    public byte getProtocolVersion()

Overrides:
  `getProtocolVersion` in class `VisorDataTransferObject`
Returns:
  Transfer object version.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021